Up

# NSToolbarItem class documentation

### Authors

Generated by root

### Contents -

1. Software documentation for the NSToolbarItem class
2. Software documentation for the NSObject(NSToolbarItemValidation) informal protocol

# Software documentation for the NSToolbarItem class

## NSToolbarItem : NSObject

> Declared in:
>   AppKit/NSToolbarItem.h

> Conforms to:
>   NSCopying
>   NSValidatedUserInterfaceItem

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -action
- -allowsDuplicatesInToolbar
- -autovalidates
- -image
- -initWithItemIdentifier:
- -isEnabled
- -itemIdentifier
- -label
- -maxSize
- -menuFormRepresentation
- -minSize
- -paletteLabel
- -setAction:
- -setAutovalidates:
- -setEnabled:
- -setImage:
- -setLabel:
- -setMaxSize:
- -setMenuFormRepresentation:
- -setMinSize:
- -setPaletteLabel:
- -setTag:
- -setTarget:
- -setToolTip:
- -setView:
- -setVisibilityPriority:
- -tag
- -target
- -toolTip
- -toolbar
- -validate
- -view
- -visibilityPriority

### action

- (SEL) action;
Availability: OpenStep
Description forthcoming.

### allowsDuplicatesInToolbar

- (BOOL) allowsDuplicatesInToolbar;
Availability: OpenStep
Description forthcoming.

### autovalidates

- (BOOL) autovalidates;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### image

- (NSImage*) image;
Availability: OpenStep
Description forthcoming.

### initWithItemIdentifier:

- (id) initWithItemIdentifier: (NSString*)itemIdentifier;
Availability: OpenStep
Description forthcoming.

### isEnabled

- (BOOL) isEnabled;
Availability: OpenStep
Description forthcoming.

### itemIdentifier

- (NSString*) itemIdentifier;
Availability: OpenStep
Description forthcoming.

### label

- (NSString*) label;
Availability: OpenStep
Description forthcoming.

### maxSize

- (NSSize) maxSize;
Availability: OpenStep
Description forthcoming.

### menuFormRepresentation

- (NSMenuItem*) menuFormRepresentation;
Availability: OpenStep
Description forthcoming.

### minSize

- (NSSize) minSize;
Availability: OpenStep
Description forthcoming.

### paletteLabel

- (NSString*) paletteLabel;
Availability: OpenStep
Description forthcoming.

### setAction:

- (void) setAction: (SEL)action;
Availability: OpenStep
Description forthcoming.

### setAutovalidates:

- (void) setAutovalidates: (BOOL)autovalidates;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setEnabled:

- (void) setEnabled: (BOOL)enabled;
Availability: OpenStep
Description forthcoming.

### setImage:

- (void) setImage: (NSImage*)image;
Availability: OpenStep
Description forthcoming.

### setLabel:

- (void) setLabel: (NSString*)label;
Availability: OpenStep
Description forthcoming.

### setMaxSize:

- (void) setMaxSize: (NSSize)maxSize;
Availability: OpenStep
Description forthcoming.

### setMenuFormRepresentation:

- (void) setMenuFormRepresentation: (NSMenuItem*)menuItem;
Availability: OpenStep
Description forthcoming.

### setMinSize:

- (void) setMinSize: (NSSize)minSize;
Availability: OpenStep
Description forthcoming.

### setPaletteLabel:

- (void) setPaletteLabel: (NSString*)paletteLabel;
Availability: OpenStep
Description forthcoming.

### setTag:

- (void) setTag: (NSInteger)tag;
Availability: OpenStep
Description forthcoming.

### setTarget:

- (void) setTarget: (id)target;
Availability: OpenStep
Description forthcoming.

### setToolTip:

- (void) setToolTip: (NSString*)toolTip;
Availability: OpenStep
Description forthcoming.

### setView:

- (void) setView: (NSView*)view;
Availability: OpenStep
Description forthcoming.

### setVisibilityPriority:

- (void) setVisibilityPriority: (NSInteger)visibilityPriority;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### tag

- (NSInteger) tag;
Availability: OpenStep
Description forthcoming.

### target

- (id) target;
Availability: OpenStep
Description forthcoming.

### toolTip

- (NSString*) toolTip;
Availability: OpenStep
Description forthcoming.

### toolbar

- (NSToolbar*) toolbar;
Availability: OpenStep
Description forthcoming.

### validate

- (void) validate;
Availability: OpenStep
Description forthcoming.

### view

- (NSView*) view;
Availability: OpenStep
Description forthcoming.

### visibilityPriority

- (NSInteger) visibilityPriority;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

## Instance Variables for NSToolbarItem Class

### _autovalidates

@protected BOOL _autovalidates;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _backView

@protected NSView* _backView;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _flags

@protected struct __flags _flags;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _image

@protected NSImage* _image;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _itemIdentifier

@protected NSString* _itemIdentifier;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _label

@protected NSString* _label;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _maxSize

@protected NSSize _maxSize;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _menuFormRepresentation

@protected NSMenuItem* _menuFormRepresentation;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _minSize

@protected NSSize _minSize;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _modified

@protected BOOL _modified;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _paletteLabel

@protected NSString* _paletteLabel;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _selectable

@protected BOOL _selectable;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _tag

@protected NSInteger _tag;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _toolTip

@protected NSString* _toolTip;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _toolbar

@protected NSToolbar* _toolbar;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _view

@protected id _view;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _visibilityPriority

@protected NSInteger _visibilityPriority;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSObject(NSToolbarItemValidation) informal protocol

## NSObject(NSToolbarItemValidation)

> Declared in:
>   AppKit/NSToolbarItem.h

Availability: OpenStep
Description forthcoming.
Method summary

- -validateToolbarItem:

### validateToolbarItem:

- (BOOL) validateToolbarItem: (NSToolbarItem*)toolbarItem;
Availability: OpenStep
Description forthcoming.

Up